TAAS - Feature #250

Customer Productivity Report
07/09/2023 04:17 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Customer Productivity Report

Description

Coding Customer Productivity Report

History

#1 - 08/07/2023 10:02 AM - Anonymous

- Assignee changed from travvise Admin to Karthika V Anand

#2 - 08/08/2023 12:03 PM - Karthika V Anand
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 08/09/2023 10:10 AM - Karthika V Anand
- Status changed from Coding Started to Particialy Coding Done

#4 - 08/22/2023 05:07 PM - Anil KV

Solutions

1) GUI Change
-Add Status - like ledger Statement
2) SQL
SELECT tr.fk_productivity_mapping_id,
MAX (ac.vhr_account_code) AS vhr_account_code,
MAX (ac.vhr_account_name) AS vhr_account_name,
MAX (ac.vhr_display_name) AS vhr_display_name,
SUM (CASE WHEN tr.dbl_ledg_cur_credit > 0 THEN tr.dbl_ledg_cur_credit ELSE 0.00 END) AS dbl_sale,--Curren
cy replace based on Input currency
SUM (CASE WHEN tr.dbl_ledg_cur_debit > 0 THEN tr.dbl_ledg_cur_debit ELSE 0.00 END) AS dbl_refund,--Curren
cy replace based on Input currency
SUM (tmp.dbl_profit) AS dbl_profit,
SUM (tmp.dbl_expense) AS dbl_expense
FROM transaction.tbl_transaction AS tr
INNER JOIN accounts.tbl_account AS ac
ON tr.fk_productivity_mapping_id = ac.pk_account_id
INNER JOIN (SELECT tr.fk_productivity_mapping_id,
CASE WHEN tr.dbl_ledg_cur_credit > 0 THEN tr.dbl_ledg_cur_credit ELSE 0.00 END AS dbl_profit, --Curren
cy replace based on Input currency
CASE WHEN tr.dbl_ledg_cur_debit > 0 THEN tr.dbl_ledg_cur_debit ELSE 0.00 END AS dbl_expense--Currenc
y replace based on Input currency
FROM transaction.tbl_transaction AS tr
INNER JOIN accounts.tbl_account AS ac
ON fk_productivity_mapping_id = ac.pk_account_id
WHERE tr.sin_posting_status =1

AND tr.sin_transaction_status = 1

AND tr.sin_document_status = 1

AND tr.dat_transaction BETWEEN '2023-08-01' AND '2023-08-30"'

AND ac.sin_ac_category IN (3,4) —-- Income and Expense account only
) AS tmp
ON tr.fk_productivity _mapping_id = tmp.fk_productivity_mapping_id
WHERE tr.sin_posting_status =1
AND tr.sin_transaction_status

=1

AND tr.sin_document_status = 1

AND tr.sin_record_type IN (3, 4)

AND tr.vhr_sys_module_name IN ('SALE', 'REFUND')

AND tr.dat_transaction BETWEEN '2023-08-01' AND '2023-08-30'

AND (ac.sin_ac_category = 18 —--Cutomer
OR (ac.sin_ac_category IN (1,2,3,4) AND sin_if customer = 1) -- COA Act as Customer
OR (ac.sin_ac_category = 19 AND sin_if customer = 1) --Supplier act as custmer
OR (ac.sin_ac_category = 20 AND sin_if_ customer = 1) --Employee act as custmer
OR (ac.sin_ac_category = 21 AND sin_if_ customer = 1)) —--Commission Agent act as custmer

GROUP BY tr.fk_productivity_mapping_id
ORDER BY (SUM(tmp.dbl_profit) - SUM(tmp.dbl_expense)) DESC

—— Net = dbl_sale-dbl_refund
--Net Profit = dbl_profit - dbl_expense

#5 - 09/08/2023 05:09 PM - Karthika V Anand
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#6 - 09/22/2023 03:36 PM - Seema Mathew
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Seema Mathew

ISSUE FOUNDED****

1.ADD TOTAL AMOUNT IN PRINT
2.ERASER FILTER NOT WORKING

#7 - 09/23/2023 11:41 AM - Karthika V Anand

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 09/23/2023 05:07 PM - Seema Mathew
TESTING DONE

#9 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#10 - 11/11/2023 11:59 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.SHOW DATA US PER CONSIDER (FILTER)

2.SHOW ACT US CLIENT A/C (SUPPLIER,COA,AGENT,EMPLOYEE)

3.NO DATA FROM PROFIT,EXPENSE LIST FIELD
4.DONT SHOW WHILE CHOOSING ALL BRANCH DETAILS FOR DATA IN PRINT SHOW US BRANCH :ALL

#11 - 12/13/2023 07:19 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.SHOW DATA US PER CONSIDER (FILTER)
2.SHOW ACT US CLIENT A/C (SUPPLIER,COA,AGENT,EMPLOYEE)
3.NO DATA FROM PROFIT,EXPENSE LIST FIELD
4.DONT SHOW WHILE CHOOSING ALL BRANCH DETAILS FOR DATA IN PRINT SHOW US BRANCH :ALL

#12 - 12/14/2023 04:12 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATAS AS ON THE CUSTOMER/FOP FIELD ADDED CUSTOMERS,ACT AS CLIENTS
2.NO DATA FROM SALES MODULE

#13 - 12/21/2023 05:06 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.SHOW DATAS AS ON THE CUSTOMER/FOP FIELD ADDED CUSTOMERS,ACT AS CLIENTS
2.NO DATA FROM SALES MODULE

#14 - 01/15/2024 05:36 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW CASH SALE DOCUMENTS DATA IN CASE (IF THE FOP IS NOT AN ACT AS CLIENT ACCOUNT)
#15 - 01/20/2024 04:48 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.SHOW CASH SALE DOCUMENTS DATA IN CASE (IF THE FOP IS NOT AN ACT AS CLIENT ACCOUNT)
#16 - 01/24/2024 02:51 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING LEDGER ACCOUNTS (INCOME/EXPENSE) DATA FROM RECEIPT THAT NOT RELATED WITH THE PRODUCTIVITY OF THE
CUSTOMER

#17 - 01/24/2024 04:05 PM - Vivekp V
ISSUE FIXED

1.SHOWING LEDGER ACCOUNTS (INCOME/EXPENSE) DATA FROM RECEIPT THAT NOT RELATED WITH THE PRODUCTIVITY OF THE
CUSTOMER

#18 - 01/24/2024 04:06 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.SHOWING LEDGER ACCOUNTS (INCOME/EXPENSE) DATA FROM RECEIPT THAT NOT RELATED WITH THE PRODUCTIVITY OF THE
CUSTOMER
#19 - 01/24/2024 04:44 PM - unnikannan S
TESTING DONE

#20 - 03/23/2024 11:24 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ADJUST COLUMN LENGTH FOR CODE AND NAME

#21 - 03/23/2024 03:02 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.ADJUST COLUMN LENGTH FOR CODE AND NAME

#22 - 03/23/2024 04:08 PM - unnikannan S
TESTING DONE

#23 - 03/23/2024 04:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING DATA FROM SALE IN LIST

#24 - 03/26/2024 10:46 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.MISSING DATA FROM SALE IN LIST fixed (sale customer sin record type changed from 49 to 3 that change was needed to be done in report
query)

#25 - 09/28/2024 06:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#26 - 02/05/2025 12:54 PM - Arathy PS

- Status changed from Testing Done to Reopen Bugs
- Assignee changed from Vivekp V to Nawal Sidique
- % Done changed from 90 to 50

ISSUE FOUND - FIXED

1. Not showing profit of a sale.

2. Incorrect profit amount of sale.

3. Not showing total sale amount of sale done from sale tab module.

4. Not showing total refund amount of refund done from refund tab module.

5. Not showing profit of a refund.

6. Wrong data showing when currency of the document is changed and searched using that currency.

#27 - 02/06/2025 07:09 PM - Nawal Sidique

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 03/06/2025 01:01 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND - FIXED

1. Not showing a customer which has done AR sharing in a sale in the grid (only master customer is showing with his share not the AR shared
customer and that amount)

#29 - 03/11/2025 09:53 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
